package com.tuoheng.admin.service.iotequipment;

import com.tuoheng.admin.request.iotequipment.AddIotEquipmentRequest;
import com.tuoheng.admin.request.iotequipment.EditIotEquipmentRequest;
import com.tuoheng.admin.request.iotequipment.QueryIotEquipmentListRequest;
import com.tuoheng.admin.request.iotequipment.QueryIotEquipmentPageListRequest;
import com.tuoheng.common.core.utils.JsonResult;

public interface IotEquipmentService {

    /**
     * 查询物联设备分页列表
     */
    JsonResult getPageList(QueryIotEquipmentPageListRequest request);

    /**
     * 查询物联设备列表
     */
    JsonResult getList(QueryIotEquipmentListRequest request);

    /**
     * 获取物联设备信息
     */
    JsonResult getInfo(String id);

    /**
     * 新增获取物联设备
     *
     * @param request
     * @return
     */
    JsonResult add(AddIotEquipmentRequest request);

    /**
     * 修改获取物联设备
     *
     * @param request
     * @return
     */
    JsonResult edit(EditIotEquipmentRequest request);

    /**
     * 删除获取物联设备
     */
    JsonResult deletedById(String id);


    /**
     * 启用、禁用
     * @param id
     * @param status
     * @return
     */
    JsonResult isEnabled(String id, int status);
}
